reportbug (13.0.1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - debian/control: Add prominent note to package description.
    - debian/tests/runnable: Test against Debian BTS instead of Ubuntu
    - reportbug/__init__.py: Match reportbug version with package version.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 29 Feb 2024 18:24:34 +0100

reportbug (13.0.1) unstable; urgency=medium

  * reportbug/submit.py: fix crash resulting from submission failure
    (Closes: #1064790)

 -- Nis Martensen <nis.martensen@web.de>  Tue, 27 Feb 2024 11:42:00 +0100

reportbug (13.0.0) unstable; urgency=medium

  [ Paul Wise ]
  * Drop progenyother variable
  * Automatically add tags based on the subject
  * Update URLs to https where possible
  * Drop a URL that is no longer on the web
  * Update Debian Policy Source field URL anchor
  * Update check-available documentation
  * Add User and Usertags to the list of repeatable pseudo-headers
  * Refactor access to the BTS system info

  [ Jakub Wilk ]
  * man/reportbug.1: grammar fix in --no-bug-script description
    (Closes: #1027816)

  [ Nis Martensen ]
  * bin/reportbug: adjust logic to avoid duplicates in taglist
  * extend copyright years to 2023
  * update lintian override
  * bin/reportbug: skip final thank you message in non-interactive mode
  * bin/reportbug: only check for pseudoheaders when submitting bugs
    (Closes: #1034787)
  * bin/reportbug: fix -V / --package-version option (Closes: #1040779)
  * reportbug/submit.py: work around bug in smtplib. Thanks to Laurent
    Bigonville for investigating and providing an initial patch
    (Closes: #926900)
  * submit, utils, test_bugreport: fix some mypy errors
  * bin/reportbug: give name of mua in error message (Closes: #1061271)
  * test/test_utils.py: update for now repeatable pseudoheaders
  * bin/reportbug: follow the MODE conversion to enum

  [ Alexandre Detiste ]
  * modernize to python3, fix mypy failure

  [ Otto Kekäläinen ]
  * Link bts(1) man page from querybts

 -- Nis Martensen <nis.martensen@web.de>  Sun, 11 Feb 2024 12:52:07 +0100

reportbug (12.0.0ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - debian/control: Add prominent note to package description.
    - reportbug/__init__.py: Match reportbug version with package version.
  * Dropped changes:
    - debian/{rules,dirs}: Do not install .desktop file. There is a
      separate reportbug-gtk package now.
    - Make Python version PEP440 compliant. (merged in Debian)
  * debian/tests/runnable: Test against Debian BTS instead of Ubuntu

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 28 Nov 2023 12:29:33 +0100

reportbug (12.0.0) unstable; urgency=medium

  [ Benjamin Drung ]
  * Make Python version PEP440 compliant

  [ Paul Wise ]
  * Update Linux kernel taint list and location

  [ Nis Martensen ]
  * debian/control: update standards-version (no changes needed)
  * reportbug.utils.get_package_status: force literal package name match when
    calling apt-cache show. Thanks to David Kalnischkies for comprehensive
    explanations on apt's command line argument features.
    (Closes: #1031924)

  [ Roland Clobus ]
  * reportbug.debbugs.check_package_info: fix crash with udeb-only pkg
    (Closes: #1034143)

  [ Nis Martensen ]
  * reportbug/utils.py: update CODENAME2SUITE for bookworm (Closes: #1034260)

 -- Nis Martensen <nis.martensen@web.de>  Sat, 29 Apr 2023 08:38:45 +0200

reportbug (11.6.0ubuntu2) lunar; urgency=medium

  * Make Python version PEP440 compliant (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 01 Feb 2023 11:03:46 +0100

reportbug (11.6.0ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 21 Jan 2023 22:03:11 -0500

reportbug (11.6.0) unstable; urgency=medium

  [ Paul Wise ]
  * reportbug/debbugs.py: Add usertags for ftp.d.o removal requests
    (Closes: #1004221)
  * man/reportbug.conf.5, conf/reportbug.conf: Don't mention using the header
    option to set X-Debbugs-CC
  * doc/README.Users: Drop mention of X-Debbugs-Cc being moved from
    pseudo-header to mail headers
  * reportbug/debbugs.py, test/test_debbugs.py: Notify packages of bugs
    against pseudo-packages that affect them

  [ Holger Wansing ]
  * reportbug/debbugs.py: mention log file location in installer template
    (Closes: #1015933)

  [ Daniel Lewart ]
  * reportbug/debbugs.py: override: extra priority is deprecated
    (Closes: #1018748)

  [ Nis Martensen ]
  * reportbug.utils.get_dependency_info(): implement line wrapping.
    Thanks to Sandro Tosi for the suggestion
  * reportbug.utils.get_dependency_info(): fix min pkgname column width
    (Closes: #1024685)
  * bin/reportbug: ask CC addresses also if list-cc-me is set (Closes: #1023786)
  * reportbug/debbugs.py: use upstream contact instead of author in template
    (Closes: #1020297)
  * reportbug/bugreport.py: add 'UP' on non-SMP machines (Closes: #1021849)
  * bin/reportbug: get submit address from resumed message (Closes: #1021481)
  * reportbug.utils.get_source_version: avoid guessing between multiple answers
    (Closes: #1024629)
  * bin/reportbug: drop safety check for msg changes for resumed reports
    (Closes: #1014871)
  * fix "bin/reportbug: get submit address from resumed message"
  * bin/reportbug: display some advice if called with general package argument
    (Closes: #1012234)
  * bin/reportbug: do not ignore --subject option with -N (Closes: #1013254)
  * bin/reportbug: rephrase version confirmation question (Closes: #1016007)
  * reportbug/submit.py: Do not use mta -f with empty envelopefrom
    (Closes: #1014869)

 -- Nis Martensen <nis.martensen@web.de>  Sun, 04 Dec 2022 19:28:36 +0100

reportbug (11.5.1) unstable; urgency=medium

  [ Luca Boccassi ]
  * reportbug/debbugs.py, reportbug/utils.py: report if filesystem is unmerged-usr
    (Closes: #923090, #996833)

  [ Nis Martensen ]
  * reportbug/ui/text_ui.py: only use a single package for browse_bugs.
    Thanks to Philippe SWARTVAGHER <phil.swart@gmx.fr> for the report.
    (Closes: #1012396)
  * debian/control: update standards-version (no changes needed)

 -- Nis Martensen <nis.martensen@web.de>  Wed, 17 Aug 2022 21:00:03 +0200

reportbug (11.5.0ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 08 May 2022 22:39:36 -0400

reportbug (11.5.0) unstable; urgency=medium

  [ Mickaël Schoentgen ]
  * reportbug/submit.py: remove usage of the deprecated 'U' mode
  * reportbug/utils.py: fix bytes comparison deprecation warning
  * reportbug/debbugs.py, reportbug/submit.py, reportbug/utils.py:
    prevent resource warnings about unclosed file
  * bin/reportbug, reportbug/debbugs.py, reportbug/submit.py,
    reportbug/ui/text_ui.py, reportbug/urlutils.py:
    remove usage of obsolete IOError

  [ Nis Martensen ]
  * reportbug/debbugs.py: improve description of the a11y tag.
    Thanks to Simon McVittie <smcv@debian.org> for the suggestion.
    (Closes: #1007106)
  * reportbug/debbugs.py: use version for package exists check.
    Thanks to Julian Gilbey <jdg@debian.org> for the report.
    (Closes: #1009656)
  * bin/reportbug: name matching file instead of regex with -f
    (Closes: #918431)
  * reportbug/debbugs.py: always ask version for release.debian.org/-pu
    requests (Closes: #887150)
  * reportbug/checkversions.py: do not restrict dists in madison query
    by default (Closes: #813299, #927400)
  * reportbug/utils.py: add and revise docstrings
  * reportbug/mailer.py: add docstrings
  * reportbug/debbugs.py: add docstrings
  * reportbug/submit.py: add docstrings
  * reportbug/urlutils.py: add docstrings
  * reportbug/checkversions.py: add/update docstrings
  * reportbug/hiermatch.py: update/revise docstrings
  * reportbug/checkbuildd.py: update/extend docstring
  * reportbug/tempfiles.py: add/revise docstrings (Closes: #890680)

 -- Nis Martensen <nis.martensen@web.de>  Sat, 30 Apr 2022 12:10:55 +0200

reportbug (11.4.1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 19 Mar 2022 19:05:05 -0400

reportbug (11.4.1) unstable; urgency=medium

  [ Philippe SWARTVAGHER ]
  * reportbug/ui/text_ui.py: stay in menu if answer "none" removes
    selected items

  [ Nis Martensen ]
  * test/test_ui_text.py: add test for text ui
  * reportbug/ui/text_ui.py: update bug line regex (Closes: #1005998)

 -- Nis Martensen <nis.martensen@web.de>  Sat, 26 Feb 2022 21:29:40 +0100

reportbug (11.4.0ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 20 Feb 2022 18:19:37 -0500

reportbug (11.4.0) unstable; urgency=medium

  * reportbug/submit.py: do not output extra info when saving to file
    (Closes: #1004382)
  * reportbug/submit.py: fix logic and avoid predictable tempfile
  * bin/reportbug: drop some unneeded lines from handle_editing
  * bin/reportbug: unify redirection to output file in handle_editing
  * bin/reportbug: drop now unused stopmsg function
  * reportbug/submit.py: clean up tempfiles before ui.final_message
  * reportbug/ui/urw_id.py: use text ui version for display_report
  * reportbug/submit.py: use ui.display_report in paranoid mode
  * reportbug/ui/gtk_ui.py: switch final_message button to 'close'
    (Closes: #873761)
  * reportbug/utils.py: fix version reading in parse_config_files()
    (Closes: #1004854)
  * reportbug/utils.py, man/reportbug.conf.5: support timeout in config file
    (Closes: #992566)
  * reportbug/debbugs.py: split off resolved bugs in hierarchy (Closes: #665348)
  * bin/reportbug, reportbug/debbugs.py: add option to browse archived bugs
    (Closes: #995231)
  * man/reportbug.1: document new --archive option
  * reportbug/ui/text_ui.py: update bug number column alignment

 -- Nis Martensen <nis.martensen@web.de>  Sun, 13 Feb 2022 00:15:46 +0100

reportbug (11.3.0ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 24 Jan 2022 21:47:02 -0500

reportbug (11.3.0) unstable; urgency=medium

  [ Takahide Nojima ]
  * reportbug/ui/gtk_ui.py: Add checkboxes or radio buttons
    on MenuPage to allow a user to operate intuitively
    (Closes: #813771)

  [ Nis Martensen ]
  * reportbug/ui/gtk_ui.py: catch exceptions from spellchecker
  * various PEP8 fixes and flake8 annotations in many files
  * reportbug/checkversions.py: drop get_incoming_version
  * reportbug/urlutils.py: drop some unused code
  * bin/reportbug: reverse severity list in user prompt (Closes: #295386)
  * Revert "Download and use maintainer mbox whenever applicable (#933765)"
  * reportbug/debbugs.py: use mboxmaint in cgi_report_url
  * test/test_debbugs.py: adapt and extend test for get_report_url
  * extend copyright years to 2022
  * reportbug/ui/gtk_ui.py: sort bugs by bug number
  * reportbug/debbugs.py: fix wrong bug count for digit-only packages
  * reportbug/submit.py: do not print the output filename twice
  * reportbug/submit.py: do not output a message when creating backup file
  * reportbug/submit.py: use break statement instead of boolean to exit loop
  * reportbug/submit.py: keep backup in case of failure instead of writing again
    (Closes: #964942)

 -- Nis Martensen <nis.martensen@web.de>  Sat, 22 Jan 2022 20:39:34 +0100

reportbug (11.2.0ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 02 Jan 2022 16:07:38 -0500

reportbug (11.2.0) unstable; urgency=medium

  [ Nis Martensen ]
  * gtk_ui.py: use os.kill instead of sys.exit to close reportbug
    (Closes: #1000200)
  * test/test_utils.py: add a few tests for various functions
  * test/test_debbugs.py: add test for debbugs.parse_bts_url
  * test/test_checkversions.py: test check_available
  * test/test_hiermatch.py: add hierarchy matching tests
  * debian/control: update standards-version (no changes needed)

  [ Ryan Kavanagh ]
  * Update URLs to prefer https where possible (Closes: #998155)

 -- Nis Martensen <nis.martensen@web.de>  Thu, 30 Dec 2021 22:58:24 +0100

reportbug (11.1.0ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 07 Nov 2021 14:08:23 -0500

reportbug (11.1.0) unstable; urgency=medium

  [ Nelson A. de Oliveira ]
  * reportbug/submit.py: include temp filename in resume message
    (Closes: #985727)

  [ Nis Martensen ]
  * checkversions.get_versions_available(): distinguish src and bin pkg versions
    (Closes: #873493)
  * reportbug/utils.py: add get_source_version()
  * bin/reportbug: improve version lookup for source packages (Closes: #984904)
  * man/reportbug.1: add hint about "src:" prefix
  * reportbug/utils.py: print apt error in get_source_version()
  * reportbug.utils.get_source_package: switch to python apt
  * reportbug.utils.get_source_package: also return source package
  * reportbug.utils.get_source_package: add option to match only src packages
  * test/test_utils.py: update and extend test for get_source_package
  * bin/reportbug: adapt to new version of utils.get_source_package
  * bin/reportbug: Do not ask for nonexistent packages (Closes: #431402)
  * reportbug/debbugs.py: try apt-cache after dpkg to get package info
    (Closes: #599290, #721212)
  * reportbug/utils.py: use dpkg-query instead of dpkg-internal database files
  * reportbug/debbugs.py: direct rm requests to the right pseudo-package
    (Closes: #994221)
  * reportbug/ui/gtk_ui.py: switch from spawn_sync to spawn_async
  * reportbug/debbugs.py: replace menu by yes/no question
  * reportbug/debbugs.py: drop unused msgfactory and parse_mbox_report
  * reportbug/debbugs.py: drop broken parse_html_report()
  * reportbug/debbugs.py: remove old fallback code
  * reportbug/debbugs.py: more broken code removal
  * test/test_debbugs.py: add tests for handle_* functions
  * reportbug/debbugs.py: drop unused imports
  * reportbug/debbugs.py: pep8 fixes
  * reportbug/ui/gtk_ui.py: recognize system information as "other info"
  * reportbug/debbugs.py: do not mention sarge release (Closes: #996654)
  * Gtk UI: switch from gtksourceview3 to gtksourceview4

 -- Nis Martensen <nis.martensen@web.de>  Mon, 18 Oct 2021 19:45:55 +0200

reportbug (11.0.0) unstable; urgency=medium

  [ Thomas Goirand ]
  * Update suite names vs stable/oldstable, so it's possible to request for
    bullseye-pu (Closes: #992332).

  [ Nis Martensen ]
  * man/reportbug.1: advise -H users to use --list-cc (Closes: #988391)

  [ Sandro Tosi ]
  * Release reportbug 11, matching Debian Bullseye release number
  * debian/control
    - run wrap-and-sort
    - switch Suggests to debconf, since we're using the binary debconf-show,
      included in that package; Closes: #990267

 -- Sandro Tosi <morph@debian.org>  Wed, 25 Aug 2021 23:54:19 -0400

reportbug (7.10.3ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 27 Feb 2021 17:46:58 -0500

reportbug (7.10.3) unstable; urgency=medium

  * reportbug/debbugs.py: handle installation-reports (Closes: #931438)

 -- Nis Martensen <nis.martensen@web.de>  Wed, 24 Feb 2021 22:32:29 +0100

reportbug (7.10.2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 12 Feb 2021 22:00:29 -0500

reportbug (7.10.2) unstable; urgency=medium

  * autopkgtest: set a valid sender address

 -- Nis Martensen <nis.martensen@web.de>  Wed, 10 Feb 2021 21:45:34 +0100

reportbug (7.10.1) unstable; urgency=medium

  * reportbug/utils.py: fix crash without /etc/email-addresses

 -- Nis Martensen <nis.martensen@web.de>  Tue, 09 Feb 2021 19:02:10 +0100

reportbug (7.10.0ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 08 Feb 2021 21:46:21 -0500

reportbug (7.10.0) unstable; urgency=medium

  [ Logan Rosen ]
  * Add tags to existing bug (Closes: #694161)

  [ Nis Martensen ]
  * reportbug/utils.py: minor code cleanups
  * bin/reportbug: recognize 'src:' shortcut for --source option
    (Closes: #978398)
  * bin/reportbug, reportbug/utils.py: improve checks for invalid from address
    (Closes: #933006)
  * reportbug/utils.py: pseudo-package reports do not need system information
    (Closes: #922626)
  * reportbug/tempfiles.py: make tempfile names include time of day
    (Closes: #929972)
  * reportbug/debbugs.py: add affects for RFH, RFA, and O wnpp bugs
    (Closes: #904252)
  * bin/reportbug: exit if specified attachments do not exist (Closes: #671398)
  * reportbug/utils.py: add try..except in get_source_name() (Closes: #979333)
  * extend copyright notice to 2021
  * reportbug.utils.get_package_status: use one long description
  * reportbug/debbugs.py: handle upgrade reports
  * bin/reportbug: drop some severities for virtual packages
  * reportbug/ui/gtk_ui.py: don't cut off lines if there is no sysinfo
  * bin/reportbug: set up upgrade/installation-reports aliases w/o "s"
  * reportbug/utils.py: fix source package lookup for udebs.
    Thanks to David Kalnischkies for advice (Closes: #982281)

 -- Nis Martensen <nis.martensen@web.de>  Mon, 08 Feb 2021 18:47:18 +0100

reportbug (7.9.0ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 22 Dec 2020 23:27:16 -0500

reportbug (7.9.0) unstable; urgency=medium

  [ Roderich Schupp ]
  * reportbug/ui/gtk_ui.py: fix crash with Python 3.9 (Closes: #975398)

  [ Guillem Jover ]
  * reportbug/debbugs.py: Only Cc debian-boot on overrides on priority changes
  * reportbug/debbugs.py: Add appropriate usertags for overrides
  * reportbug/debbugs.py: Add golang as a known section for overrides

  [ Nis Martensen ]
  * bin/reportbug, reportbug/ui/*: unify yes_no question mark handling
  * bin/reportbug: wrap exceedingly long string lines
  * bin/reportbug: add -r / --resume-saved option (Closes: #328531, #702107)
  * man/reportbug.1, bin/reportbug: document new --resume-saved option
    (Closes: #712066)
  * man/reportbug.1: various minor manpage updates
  * reportbug/submit.py: clarify what to do with saved reports (Closes: #867269)
  * reportbug/ui/text_ui.py: preserve newlines in long_message()
  * reportbug/ui/gtk_ui.py: unify newlines in long_message()
  * reportbug/ui/urwid_ui.py: unify newlines in long_message()
  * reportbug/debbugs.py: include and pre-select default in menus
    (Closes: #855172)
  * add autopkgtest: debian/tests/control, debian/tests/runnable
  * conf/reportbug.conf, man/reportbug.conf.5: do not mention outfile
  * reportbug.conf, utils.py: add draftpath config file option
  * reportbug/submit.py: drop newlines from final_message text
  * bin/reportbug: error out if reportbug has no way to submit
    (Closes: #813660)
  * bin/reportbug: clarify comment about offline setting (Closes: #910712)
  * bin/reportbug: skip tags prompt with -r and mode > NOVICE
  * bin/reportbug: add missing replyto argument when just saving
    (Closes: #819570)
  * bin/reportbug: move MTA check from main() into UI()
  * debian/control: update standards-version (no changes needed)
  * reportbug/ui/gtk_ui.py: truncate long messages to avoid crashing

 -- Nis Martensen <nis.martensen@web.de>  Tue, 22 Dec 2020 11:39:14 +0100

reportbug (7.8.0ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 08 Nov 2020 22:32:47 -0500

reportbug (7.8.0) unstable; urgency=medium

  [ Anuradha Weeraman ]
  * reportbug/debbugs.py: Fix crash with stable-pu update request
    (Closes: #964987)

  [ Nis Martensen ]
  * mailer.py,submit.py: only run MUA in terminal if needed (Closes: #964846)
  * reportbug/submit.py: use message_from_binary_file to attach messages
    (Closes: #966480)
  * bin/reportbug:
    - use raw string for regexp
    - do not submit without pseudoheaders
    - Fix crash in offer_configuration (Closes: #965977)
    - drop empty recipients from listcc
    - Warn that X-Debbugs-Cc via headers are now unreliable
  * man/reportbug.conf.5: fix bts help hint
  * man/*: updates for list-cc* and headers
  * reportbug/ui/gtk_ui.py:
    - editor: fix report split
    - Make pseudoheaders editable in Editor
    - Update empty buffer string
    - Always set window title
    - switch editor: TextView → SourceView
    - editor: do not rewrap pseudoheaders
    - Editor: show other buffer in monospace font
    - fix GetListPage
    - fix crash in _get_multiline
    - show "Thanks" in message, not in title
  * debian/control:
    - update package description
    - add dependency on gir1.2-gtksource-3.0
  * reportbug/bugreport.py: add second newline to empty body
  * reportbug/utils.py:
    - get_init_system: detect OpenRC (Closes: #968096)
    - fix test failure in get_init_system
  * test/test_utils.py: fix test_get_init_system
  * bin/reportbug, reportbug/urlutils.py: fix proxy support
    (Closes: #717563, #877850)
  * New release

 -- Nis Martensen <nis.martensen@web.de>  Sun, 25 Oct 2020 09:21:16 +0100

reportbug (7.7.0ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.
 -- Logan Rosen <logan@ubuntu.com>  Fri, 10 Jul 2020 16:50:29 -0400

reportbug (7.7.0) unstable; urgency=medium

  [ Bastian Venthur ]
  * Replace nosetests with pytest
  * replace pep8, pyflake, pylint with flake8
  * updated docs
  * removed references to non-existing coverage targets
  * removed remaining traces of nose

  [ Nis Martensen ]
  * reportbug/utils.py
    - support merged-/usr during file search; Closes: #942261
    - get_source_name: improve, use python apt
    - use a single global apt cache
    - simplify mua_is_supported
    - switch from pipes to shlex.quotes
    - simplify mua_exists, drop MUAVERSION
    - drop Mua.get_name()
    - add mua support via xdg-email
      (Closes: #532150, #788045, #865792)
    - protect against too long mailto argument
    - Mua.send: return commandline instead of calling ui.system
    - Mua: rename send → get_send_command
    - rename Xdg → Mailto
    - add direct support for a few more MUAs
      Closes: #271084, #922058
    - reportbug/utils.py: clean up cleanup_msg
    - fix get_source_name breakage from previous change
  * bin/reportbug
    - recognize source packages (and `src:linux`) when sending followup info;
      Closes: #946363
    - try to determine an unambiguous package name to pass to debsums;
      Closes: #940532
    - do not create an empty tempfile if the `outfile` option is given
    - fix re-execution after configuration;
      Closes: #620712, #730236, #780747, #926726
    - Query both binary and source package by default; Closes: #936061
    - minor update for STARTTLS clarification
    - Improved QuertBTSError handling
    - improve and simplify mailer selection in handle_editing
    - handle_editing: capitalize "print ..." menu option
  * reportbug/bugreport.py
    - correctly detect LANGUAGE; Closes: #946963
    - bugreport.py: fix missing cores → threads
  * reportbug/debbugs.py:
    - get_reports: also include bugs that affect the package;
      Closes: #544812
    - get_reports: add support for lists of packages
    - get_reports: drop one try..except
  * reportbug/submit.py:
    - use implicit SSL with port 465
    - show output file name after quitting mailer without sending
  * bin/reportbug, reportbug.utils, test_utils: drop mua_name function
  * reportbug/utils.py,submit.py: rename Mua.name → Mua.executable
  * urlutils.py, checkversions.py: use proxy and timeout;
      Closes: #961955
  * reportbug/ui/gtk_ui.py:
    - fix crash in handle_bts_query on non-Debian systems; Closes: #709862
    - Hide back button; Closes: #855380, #867663, #872772
    - handle_bts_query: Use QuertBTSError instead of NoBugs;
      Closes: #919102, #918989
    - drop broken/unused error_dialog function
    - fix argument order in _assert_context
    - fix crash when copying text to clipboard
    - do not change window title in final_message
  * reportbug/ui/text_ui.py:
    - use subprocess.Popen instead of os.popen; Closes: #961675
    - handle_bts_query: Use QuertBTSError
  * reportbug/ui/urwid_ui.py:
    - survive ancient encoding
    - handle_bts_query: Use QuertBTSError
  * Testsuite:
    - adapt to recent code changes
    - test get_source_name with astroid
    - test_debbugs.py: add ftbfs tag
    - test_utils.py: add test for new xdg-email Mua
    - test: adapt to splitting mailer off utils
    - test/test_mailer.py: do not require all MUAs to be installed
      (Closes: #843337)
    - test_mailer.py: extend for big messages and attachments
    - test_utils.py: dirtify test data for cleanup_msg
    - test_utils.py: complete test for cleanup_msg
    - test_utils.py: adapt cleanup_msg expected results
  * fix some minor typos in various files
  * manpages:
    - document that reportbug will exit after --configure
    - Update for SSL/TLS encrypted submission support
    - reportbug.1: mention how to obtain list of valid BTS systems
      (Closes: #964260)
  * doc/README.Users:
    - Clarify how to configure reportbug.debian.org
      (Closes: #963073)
    - document limitations of MUA support
    - some MUAs now support attachments
  * share/handle_bugscript: convert to UTF-8
  * Lintian fixes:
    - add override for desktop-command-not-in-package
    - d/control: suggest default mta
    - d/copyright: fix obsolete-field-in-dep5-copyright
    - d/copyright: fix dep5-copyright-license-name-not-unique
    - d/copyright: fix missing-license-paragraph-in-dep5-copyright
    - d/copyright: fix missing-field-in-dep5-copyright
    - d/copyright: GPL-any is equivalent to GPL-1+
  * debian/control:
    - switch to debhelper compat level 12
    - add Rules-Requires-Root (R³)
    - update standards-version (no changes needed)
  * split off MUA stuff from utils into new mailer submodule
  * reportbug/mailer.py:
    - Mailto Mua: fix payload decoding
    - Mailto Mua: multipart → mailto is not supported
    - Mailto Mua: not urlquoting "/" should be safe
    - mua_exists: invert logic
    - better attachment file check
  * reportbug/exceptions.py,mailer.py: use custom BadMessage exception
  * do not try to run graphical MUAs in text-only environments
  * Use X-Debbugs-CC as pseudoheader instead of header
  * bin/reportbug,reportbug/submit.py,mailer.py: support attachments with MUA
    Closes: #894794
  * bin/reportbug, reportbug/utils.py: minor regex improvements
  * bin/reportbug, reportbug/ui/gtk_ui.py: allow reply with -N in GTK ui
    (Closes: #687214)
  * bin/reportbug, reportbug.desktop: drop --exit-prompt option

  [ Fabrice BAUZAC ]
  * Improve code documentation

  [ Jens Korte ]
  * Update description of --bts option in reportbug.1 man page

  [ Paul Gevers ]
  * Add template to (o)pu release.debian.org bugs; Closes: #883346

  [ Josh Triplett ]
  * querybts: Use http_proxy when opening mbox URLs

  [ Ansgar ]
  * bugreport.py: "CPU cores" → "CPU threads"

  [ Bas Couwenberg ]
  * reportbug/debbugs.py: add the 'ftbfs' tag to make `-T ftbfs` work;
    Closes: #955809

  [ chrysn ]
  * reportbug/ui/gtk_ui.py: add hint to press Next of no bug matches;
    Closes: #871048

  [ mozbugbox ]
  * bin/reportbug: allow followups on ITP bugs; Closes: #657066

  [ Brian Murray ]
  * reportbug/ui/text_ui.py: launch browser for correct package type
    (Closes: #963762)

  [ Sandro Tosi ]
  * Add Nis Martensen to Uploaders, very much well deserved!
  * Extend copyright notice to 2020
  * New release

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Jul 2020 22:18:36 -0400

reportbug (7.6.0ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 05 Feb 2020 01:33:09 +0000

reportbug (7.6.0) unstable; urgency=medium

  [ Bastian Venthur ]
  * Update to debianbts 2.10
  * replace mock w/ unittest.mock (available since py3.3)

  [ Salvatore Bonaccorso ]
  * reportbug/debbugs.py
    - allow to fill stretch-pu updates against release.d.o; Closes: #938941

  [ Paul Gevers ]
  * reportbug/debbugs.py
    - Add template to unblock release.debian.org bugs

  [ Nis Martensen ]
  * show name of output file in GTK+ ui; Closes: #941257
  * reportbug/debbugs.py
    - do not show `newcomer` tag in novice mode; Closes: #941961
  * reportbug/ui/text_ui.py
    - fix the total bug count not to be equal only to wishlist bugs;
      Closes: #922014
  * reportbug/utils.py
    - query dpkg status with unambiguous package name; Closes: #932383

  [ Fabrice BAUZAC ]
  * reportbug/ui/urwid_ui.py
    - suggest to install python3-urwid for the urwid UI; Closes: #944562
  * reportbug/ui/gtk_ui.py
    - suggest to install reportbug-gtk for the GTK+ UI; Closes: #944515

  [ Andrei POPESCU ]
  * Download and use maintainer mbox whenever applicable; Closes: #933765

  [ Sandro Tosi ]
  * doc/README.developers
    - add a section describing why bugscripts are executed with LC_ALL=C;
      Closes: #946326

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Dec 2019 13:18:07 -0500

reportbug (7.5.3) unstable; urgency=medium

  * debian/control
    - replace emacs* Suggests with emacs-bin-common; Closes: #925422
    - bump Standards-Version to 4.4.0 (no changes needed)
    - add sensible-utils dep, patch by Nis Martensen
  * reportbug/debbugs.py
    - when handling ftp.d.o, dont look up package information if the package
      doesnt exist, fixing a crash; Closes: #923631
    - fix a crash with stable version lookup, patch by Nis Martensen;
      Closes: #935602
  * bin/reportbug
    - remove debug code when handling list-cc-me, patch by Josh Triplett
  * reportbug/utils.py
    - update release names, following Buster releases, patch by Nicolas
      Braud-Santoni; Closes: #932524, #931609
    - recognize versioned Provides; patch by Nis Martensen; Closes: #934472
  * man/reportbug.1
    - add default for --draftpath; patch by laokz

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Aug 2019 19:54:08 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-reportbug`.
